Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 474447 - Synchronization: Need to deal with corner cases from cobbler CLI
Summary: Synchronization: Need to deal with corner cases from cobbler CLI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04 swcobbler
TreeView+ depends on / blocked
 
Reported: 2008-12-03 21:32 UTC by Mike McCune
Modified: 2012-03-06 08:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:02 UTC


Attachments (Terms of Use)

Description Mike McCune 2008-12-03 21:32:01 UTC
* If the user uses the cobbler CLI to change the distro of a profile to a distro that doesn't exist in spacewalk we need to log and deal with this condition properly.

* If the user deletes a cobbler profile or distro we need to sync this delete to spacewalk.

* If the user renames a distro in cobbler's CLI we need to make sure names trickle up to spacewalk and that it won't violate any uniqueness constraints.

Comment 1 Justin Sherrill 2009-01-09 22:09:47 UTC
So we should be handling all of this now.  Although the name doesn't trickle back up, we just leave it changed.

Comment 2 Justin Sherrill 2009-01-09 22:10:24 UTC
Although I'm not sure for #1 how to 'deal with this condition properly'.  Right now we ignore it and log an error.


Note You need to log in before you can comment on or make changes to this bug.